Skip to main content
GET
/
v1
/
generation
/
file_search_stores
/
documents
Query Corpus Document List
curl --request GET \
  --url https://api.weryai.com/v1/generation/file_search_stores/documents \
  --header 'Authorization: Bearer <token>'
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "documents": [
      {
        "name": "fileSearchStores/my-store/documents/doc-123",
        "display_name": "research_material.pdf",
        "state": "ACTIVE",
        "create_time": "2024-03-10T00:00:00Z",
        "update_time": "2024-03-10T00:00:00Z",
        "mime_type": "application/pdf"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.weryai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Response

Document list retrieved successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object